Subject: [bug#28586] [PATCH 2/2] gnu: Add Syncthing.

From: Leo Famulari <[email-masked]>
Date: Mon, 25 Sep 2017 15:28:52 -0400

On Mon, Sep 25, 2017 at 02:21:44PM -0400, Leo Famulari wrote:
> This suggests to me that the Syncthing build process is not using the
> compiled objects of these packages but is instead trying to rebuild
> them.
> 
> So, perhaps something is not quite right with the go-build-system — I'm
> not sure.

While debugging, I tried changing the go-build-system's build procedure
to this:

------
(define* (build #:key import-path #:allow-other-keys)
  "Build the package named by IMPORT-PATH."
  (unless (zero? (system* "go" "install" "-v" import-path))
    (zero? (system* "go" "env"))))  
------

However, when it encounters a failure, it does not seem to run `go env`:

------
[...]
	/gnu/store/40m4imp31qkhl2yqvxm4dfaw0j6hgfr2-golang-github-com-golang-groupcache-lru-0.0.0-0.72d04f9/src/github.com/pkg/errors
	/gnu/store/dn3hbj11bzk6ys3yj5k36k7a9fyg1zp8-golang-github-com-edsrzf-mmap-go-0.0.0-0.0bce6a6/src/github.com/pkg/errors
	/gnu/store/h36806f660r6p5xzwsc89zrbfnvi6nwi-golang-github-com-d4l3k-messagediff-1.1.0-0.29f32d8/src/github.com/pkg/errors
exit status 1
exit status 1
phase `build' failed after 1.9 seconds
builder for `/gnu/store/0847mr1isq7mwc90rkja3fr0jc7z3lna-syncthing-0.14.37.drv' failed with exit code 1
@ build-failed /gnu/store/0847mr1isq7mwc90rkja3fr0jc7z3lna-syncthing-0.14.37.drv - 1 builder for `/gnu/store/0847mr1isq7mwc90rkja3fr0jc7z3lna-syncthing-0.14.37.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/0847mr1isq7mwc90rkja3fr0jc7z3lna-syncthing-0.14.37.drv' failed
------

I'm confused!